/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.model.views;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import org.hibernate.annotations.GenericGenerator;

/**
 *
 * @author David Rodríguez Huaracha
 */
@Entity
@Table(name = "APC_LOAN_DETAIL_ZERO_VIEW")
public class LoanDetailZeroView implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "uuid")
    @GenericGenerator(name = "uuid", strategy = "uuid2")
    @Column(name = "id", length = 36)
    private String id;
    
    @Column(name = "customer_name", length = 300)
    private String customerName;
    
    @Column(name = "address_home", length = 300)
    private String addressHome;
    
    @Column(name = "user_name", length = 300)
    private String userName;

    @Column(name = "amount_to_pay", nullable = true)
    private BigDecimal amountToPay;

    @Column(name = "id_loan_type", length = 36)
    private String loanType;
    
    @Column(name = "payment", nullable = true)
    private BigDecimal payment;

    @Column(name = "loan_comments", length = 200)
    private String loanComments;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLoanType() {
        return loanType;
    }

    public void setLoanType(String loanType) {
        this.loanType = loanType;
    }
    
    public BigDecimal getPayment() {
        return payment;
    }

    public void setPayment(BigDecimal payment) {
        this.payment = payment;
    }

    public BigDecimal getAmountToPay() {
        return amountToPay;
    }

    public void setAmountToPay(BigDecimal amountToPay) {
        this.amountToPay = amountToPay;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getAddressHome() {
        return addressHome;
    }

    public void setAddressHome(String addressHome) {
        this.addressHome = addressHome;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getLoanComments() {
        return loanComments;
    }

    public void setLoanComments(String loanComments) {
        this.loanComments = loanComments;
    }

  

    @Override
    public String toString() {
        return "";
    }

}
